Last modified: 2014-09-23 21:36:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 70491 - iOS app table of contents icon is wrong in RTL interfaces
iOS app table of contents icon is wrong in RTL interfaces
Status: RESOLVED FIXED
Product: Wikipedia App
Classification: Unclassified
iOS App (Other open bugs)
Beta
All All
: Unprioritized normal
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2014-09-06 13:56 UTC by Amir E. Aharoni
Modified: 2014-09-23 21:36 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: iOS
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2014-09-06 13:56:05 UTC
When the iPod's UI is Hebrew, the icon that opens the table of contents appears with the triangle pointing to the lines (▶☰) and the icon that closes the table of contents appears with the triangle pointing away from the lines (◀☰).

When the iPod's UI is English, it is the opposite.
Comment 1 Amir E. Aharoni 2014-09-06 13:56:50 UTC
I tried this in version 4.0.2.1.
Comment 2 Brion Vibber 2014-09-10 19:47:03 UTC
Sounds like we might have flipped these by swapping when we need to transform...
Comment 3 Gerrit Notification Bot 2014-09-12 20:20:07 UTC
Change 160081 had a related patch set uploaded by Brion VIBBER:
Fix RTL appearance of new ToC icons

https://gerrit.wikimedia.org/r/160081
Comment 4 Gerrit Notification Bot 2014-09-12 22:49:50 UTC
Change 160081 merged by Mhurd:
Fix RTL appearance of new ToC icons

https://gerrit.wikimedia.org/r/160081
Comment 5 Brion Vibber 2014-09-23 21:36:18 UTC
This should be fixed in the next store release if it's not in the current one (I forget which made it into what)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links